Bug 99541 - No way to configure X11 screen resolution in anaconda anymore?
No way to configure X11 screen resolution in anaconda anymore?
Status: CLOSED NOTABUG
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-07-21 15:34 EDT by Bernd Bartmann
Modified: 2007-04-18 12:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-15 21:01:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2003-07-21 15:34:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
In earlier released we had at least the chance to configure our X11 screen
resolution. Now anaconda seems to automatically choose 1024x768 by default
without asking.

On my Iiyama VisionMaster Pro 410 17" monitor this is way to small. Normally I
run at least 1280x1024.

After the installation was finished I used redhat-config-xfree86 the raise the
resolution but this tool only allowed me 1200x800 as a maximum.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to set X11 screen resolution when installing Severn Beta1
2.
3.
    

Additional info:
Comment 1 Nick Marsh 2003-07-21 16:44:23 EDT
It's an even bigger deal now that there is a graphical boot sequence without
testing the xconf durring the install process. As I discovered today, if you set
the wrong resolution, the boot sequence and first boot programs will display
garbage.

Solution: Add xconfigtest back to anaconda or have first boot and graphical boot
use 256 colors 640X480.
Comment 2 Michel Alexandre Salim 2003-07-23 12:22:02 EDT
I concur. I have a 1400x1050 laptop LCD screen and even though I manually
selected 'Generic 1400x1050' I end up with 1024x768 anyway.
Comment 3 Chris Kloiber 2003-07-26 01:14:53 EDT
I got the limited choice of resoutions once myself.

For me, I found that I got the wacky maximum resolutions only when my monitor
was not set properly. When I set the monitor first, I could go back to the
resolution selection and all my available resolutions had become available.

My guess is that some small part of this bug is incorrect monitor detection.
Comment 4 Michel Alexandre Salim 2003-07-27 01:34:28 EDT
That is really bizarre, since I selected the monitor manually from the list -
'Generic 1400x1500 LCD'. My monitor was detected using DDC probing but I thought
I'd play it safe and make sure there's no way X tries to display > 1400x1050.
Alas it actually seemed to do the opposite
Comment 5 Tadej Janež 2003-07-29 12:27:14 EDT
I can confirm comments #2 and #4 by Michel here on my Compaq Evo laptop (I also
selected Generic 1400x1500 LCD during install).

I had to manually select the correct resolution after installation (though it
didn't work the first time, so after I killed X I still got the default 1024x768
resolution).

Hope it helps,
Tadej
Comment 6 Michael Fulbright 2003-07-29 15:57:32 EDT
We have removed the X resolution screen and this configuration can be done
post-install with the redhat-config-xfree tool.

However the other issue here appears to be that the monitor manually selected
during the installation process is not used to create the XFree86 config file
for the installed system? Or is it that the default resolution is still
1024x768, even though a '1400x1050 LCD' was selected as the monitor?
Comment 7 Jeremy Katz 2003-10-15 21:01:08 EDT
Closing due to inactivity.  Please reopen if you have any further information to
add to this bug report

Note You need to log in before you can comment on or make changes to this bug.